<template>
  <div class="h-full pb-5">
      <Component
        :is="getCurrentComponent"
        @nextStage="nextStage"
      />
  </div>
</template>

<script>
import {parentComponentMixin} from "@/utils/mixins";
import VisitSummaryStage from "@/components/quizzes/VisitSummary/VisitSummaryStage";
import CrossSell from "@/components/quizzes/VisitSummary/CrossSell";

export default {
  mixins: [parentComponentMixin],
  name: "VisitSummary",
  data() {
    return {
      stages: {
        1: VisitSummaryStage,
        2: CrossSell
      },
      stageNumber: 1
    }
  }
}
</script>

<style scoped>

</style>
